32
Validation results

Jobify (Share buzzgfx.com)

Jobify (Share buzzgfx.com)

WordPress 4.9.7 theme
32
Critical alerts
  1. Customizer : Sanitization of Customizer settings Found a Customizer setting that did not have a sanitization callback function in file theme-customizer.php. Every call to the add_setting() method needs to have a sanitization callback function passed.
  2. Title : Title No reference to add_theme_support( "title-tag" ) was found in the theme.The theme needs to have <title> tags, ideally in the header.php file.The theme needs to have a call to wp_title(), ideally in the header.php file.
  3. Deprecated functions : screen_icon screen_icon found in file class-tgm-plugin-activation.php. Deprecated since version 3.8.
    Ligne391: screen_icon( apply_filters( 'tgmpa_default_screen_icon', 'themes' ) );
    Ligne1585: screen_icon( apply_filters( 'tgmpa_default_screen_icon', 'themes' ) );
Warning
  1. core scripts deregistered : Core scripts deregistrationFound wp_deregister_script in functions.php. Themes must not deregister core scripts.
    Ligne206: wp_deregister_script( 'wp-job-manager-job-application' );
  2. theme tags : Presence of bad theme tagsThe tag white has been deprecated, it must be removed from style.css header.The tag responsive-layout has been deprecated, it must be removed from style.css header.
  3. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is jobify-share-buzzgfx-com.
  4. Text domain : Incorrect use of translation functions.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are jobify, tgmpa.
  5. Plugin territory : Plugin territory functionalitiesThe theme uses the add_shortcode() function. Custom post-content shortcodes are plugin-territory functionality.
  6. Deprecated functions : screen_iconscreen_icon found in file class-tgm-plugin-activation.php. Deprecated since version 3.8.
    Ligne391: screen_icon( apply_filters( 'tgmpa_default_screen_icon', 'themes' ) );
    Ligne1585: screen_icon( apply_filters( 'tgmpa_default_screen_icon', 'themes' ) );
  7. CSS files : Presence of text domainText Domain: is missing from your style.css header.
  8. Screenshot : Screenshot fileScreenshot size is 880x660px. Screenshot size should be 1200x900, to account for HiDPI displays. Any 4:3 image size is acceptable, but 1200x900 is preferred.Bad screenshot file extension ! File screenshot.png is not an actual JPG file. Detected type was : "image/png".
Tip-off
  1. Static links : Presence of hard-coded linksPossible hard-coded links were found in the file content-share.php.
    Ligne25: <a href='https://twitter.com/share' class='twitter-share-button'>Tweet</a>
  2. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  3. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  4. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  5. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  6. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  7. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  8. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  9. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  10. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  11. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  12. Use of includes : Use of include or requireThe theme appears to use include or require : class-tgm-plugin-activation.php
    Ligne1073: require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : restrict-content-pro.php
    Ligne61: require_once( get_template_directory() . '/inc/integrations/restrict-conten
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : wp-job-manager.php
    Ligne525: include_once( JOB_MANAGER_PLUGIN_DIR . '/includes/abstracts/abstract-wp-job
    Ligne527: include_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne623: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne626: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne629: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne630: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne631: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne632: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne633: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne634: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne635: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne638: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne642: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne645: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne646: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne647: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    Ligne648: require_once( get_template_directory() . '/inc/integrations/wp-job-manager/
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : wp-resume-manager.php
    Ligne161: require_once( get_template_directory() . '/inc/integrations/wp-resume-manag
    Ligne162: require_once( get_template_directory() . '/inc/integrations/wp-resume-manag
    Ligne164: require_once( get_template_directory() . '/inc/integrations/wp-resume-manag
    Ligne165: require_once( get_template_directory() . '/inc/integrations/wp-resume-manag
    Ligne166: require_once( get_template_directory() . '/inc/integrations/wp-resume-manag
    Ligne167: require_once( get_template_directory() . '/inc/integrations/wp-resume-manag
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : testimonials.php
    Ligne44: require_once( get_template_directory() . '/inc/integrations/woo-testimonial
    Ligne45: require_once( get_template_directory() . '/inc/integrations/woo-testimonial
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : woocommerce.php
    Ligne33: require_once( get_template_directory() . '/inc/integrations/woocommerce/wid
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes